Airdrop

Bulk Airdrop Sync Units Create

POST
/airdrop.sync-units.create.bulk

Creates sync units that are used for syncs between DevRev and external systems of record.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Request Body

application/json

sync_units*

Sync unit create candidates.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.devrev.ai/airdrop.sync-units.create.bulk" \  -H "Content-Type: application/json" \  -d '{    "sync_units": [      {        "external_sync_unit": "string",        "keyring": "string"      }    ]  }'
{
  "sync_units": [
    {
      "created_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "created_date": "2023-01-01T12:00:00.000Z",
      "display_id": "string",
      "id": "string",
      "modified_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "modified_date": "2023-01-01T12:00:00.000Z",
      "object_version": 0,
      "external_sync_unit_name": "string",
      "external_system_id": "string",
      "external_system_name": "string",
      "external_system_type": "adaas",
      "is_archived": true,
      "name": "string",
      "sync_pack_id": "string",
      "sync_run": {
        "ended_at": "2023-01-01T12:00:00.000Z",
        "item_analytics_artifact": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "mode": "initial",
        "progress": {
          "state": "completed"
        },
        "reserved_rate_limit_percentage": 0,
        "started_at": "2023-01-01T12:00:00.000Z"
      },
      "sync_type": "manual"
    }
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden",
  "object_ids": [
    "string"
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}